Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::group_node::add_children_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::group_node::add_children_listener:

[legend]
List of all members.

## Detailed Description

addChildren event listener.

For internal use only.

## Public Member Functions
| add_children_listener (group_node &node)
| Construct.
virtual | ~add_children_listener () throw ()
| Destroy.
## Private Member Functions
virtual void | do_process_event (const mfnode &value, double timestamp) throw (std::bad_alloc)
| Process an event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::group_node::add_children_listener::add_children_listener | ( | group_node & | node | ) | `[explicit]`

  | Construct. Parameters:
  | node | group_node.

openvrml::vrml97_node::group_node::add_children_listener::~add_children_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::group_node::add_children_listener::do_process_event | ( | const mfnode & | value,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

  | Process an event. If this function throws, it is possible (even likely) that only part of the nodes in `value` have been added to the Group node's children exposedField. Parameters:
  | value | child_nodes to add.
  | timestamp | the current time.
  Exceptions:
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value_listener< mfnode >.